From 82fac7da35ba098a3f294a946e39714b58740b69 Mon Sep 17 00:00:00 2001
From: Raymond Toy <toy.raymond@gmail.com>
Date: Sat, 13 Apr 2013 14:54:15 -0700
Subject: [PATCH] Update -u option so that asdf is always built.

 bin/build-utils.sh::
 * asdf is not part of build-utils.sh

 bin/build.sh::
 * Build asdf as part of the normal build because it's always part of
   the main tarball, not the extras tarball.
---
 bin/build-utils.sh | 12 ------------
 bin/build.sh       | 13 +++++++++++++
 2 files changed, 13 insertions(+), 12 deletions(-)

diff --git a/bin/build-utils.sh b/bin/build-utils.sh
index 7f5862ed3..e59fd1923 100755
--- a/bin/build-utils.sh
+++ b/bin/build-utils.sh
@@ -15,18 +15,6 @@ fi
 TARGET="`echo $1 | sed 's:/*$::'`"
 shift
 
-# Compile up the asdf and defsystem modules
-$TARGET/lisp/lisp -noinit -nositeinit -batch "$@" << EOF || exit 3
-(in-package :cl-user)
-(setf (ext:search-list "target:")
-      '("$TARGET/" "src/"))
-(setf (ext:search-list "modules:")
-      '("target:contrib/"))
-
-(compile-file "modules:asdf/asdf")
-(compile-file "modules:defsystem/defsystem")
-EOF
-
 $TARGET/lisp/lisp \
 	-noinit -nositeinit -batch "$@" <<EOF || exit 3
 (in-package :cl-user)
diff --git a/bin/build.sh b/bin/build.sh
index f451ac110..99d0a43aa 100755
--- a/bin/build.sh
+++ b/bin/build.sh
@@ -251,6 +251,19 @@ if [ "$SKIPUTILS" = "no" ];
 then
     OLDLISP="${BASE}-4/lisp/lisp $OLDLISPFLAGS $FPU_MODE"
     time $TOOLDIR/build-utils.sh $TARGET $FPU_MODE
+else
+# But asdf and friends are part of the base install, so we need to build them.
+    $TARGET/lisp/lisp -noinit -nositeinit -batch "$@" << EOF || exit 3
+    (in-package :cl-user)
+    (setf (ext:search-list "target:")
+	  '("$TARGET/" "src/"))
+    (setf (ext:search-list "modules:")
+	  '("target:contrib/"))
+
+    (compile-file "modules:asdf/asdf")
+    (compile-file "modules:defsystem/defsystem")
+EOF
+
 fi
 
 build_finished=`date`
-- 
GitLab